Retrieve the change history of all records in a table, including field modifications and user information.
curl --request GET \
--url http://127.0.0.1:3000/api/table/{tableId}/record/history \
--header 'Authorization: Bearer <token>'{
"historyList": [
{
"id": "<string>",
"tableId": "<string>",
"recordId": "<string>",
"fieldId": "<string>",
"before": {
"meta": {
"name": "Tags",
"type": "singleSelect",
"cellValueType": "string",
"isLookup": true,
"isConditionalLookup": true,
"options": "<unknown>"
},
"data": "<unknown>"
},
"after": {
"meta": {
"name": "Tags",
"type": "singleSelect",
"cellValueType": "string",
"isLookup": true,
"isConditionalLookup": true,
"options": "<unknown>"
},
"data": "<unknown>"
},
"createdTime": "<string>",
"createdBy": "<string>"
}
],
"userMap": {},
"nextCursor": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Get the history list of all records in a table
Show child attributes
Show child attributes
Show child attributes
The name of the field. can not be duplicated in the table.
"Tags"
The field types supported by teable.
singleLineText, longText, user, attachment, checkbox, multipleSelect, singleSelect, date, number, rating, formula, rollup, conditionalRollup, link, createdTime, lastModifiedTime, createdBy, lastModifiedBy, autoNumber, button "singleSelect"
The cell value type of the field.
string, number, boolean, dateTime Whether this field is lookup field. witch means cellValue and [fieldType] is looked up from the linked table.
Whether this lookup field applies a conditional filter when resolving linked records.
Show child attributes
Show child attributes
The name of the field. can not be duplicated in the table.
"Tags"
The field types supported by teable.
singleLineText, longText, user, attachment, checkbox, multipleSelect, singleSelect, date, number, rating, formula, rollup, conditionalRollup, link, createdTime, lastModifiedTime, createdBy, lastModifiedBy, autoNumber, button "singleSelect"
The cell value type of the field.
string, number, boolean, dateTime Whether this field is lookup field. witch means cellValue and [fieldType] is looked up from the linked table.
Whether this lookup field applies a conditional filter when resolving linked records.
Was this page helpful?
curl --request GET \
--url http://127.0.0.1:3000/api/table/{tableId}/record/history \
--header 'Authorization: Bearer <token>'{
"historyList": [
{
"id": "<string>",
"tableId": "<string>",
"recordId": "<string>",
"fieldId": "<string>",
"before": {
"meta": {
"name": "Tags",
"type": "singleSelect",
"cellValueType": "string",
"isLookup": true,
"isConditionalLookup": true,
"options": "<unknown>"
},
"data": "<unknown>"
},
"after": {
"meta": {
"name": "Tags",
"type": "singleSelect",
"cellValueType": "string",
"isLookup": true,
"isConditionalLookup": true,
"options": "<unknown>"
},
"data": "<unknown>"
},
"createdTime": "<string>",
"createdBy": "<string>"
}
],
"userMap": {},
"nextCursor": "<string>"
}